ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nicolas Lalevée <nicolas.lale...@hibnet.org>
Subject Re: Releasing IvyDE 2.1.0 ?
Date Sat, 30 Jan 2010 09:50:11 GMT

Le 29 janv. 2010 à 21:15, Jon Schneider a écrit :

> I did volunteer to do the release and got sidetracked.  I've been thinking
> of it this week, and will be starting on it this weekend.  I think it would
> be a valuable chance to gain some experience with it.  Thanks for bringing
> it up again.
> 
> I'm hesitant about IVYDE-185's suggestion to allow for the installation of
> IvyDE with older versions of Ivy.  I don't know how testable that really is.

For some time the build of IvyDE was done with Ivy 2.0 and there was no compilation error.
Until lately IvyDE requires Ivy 2.1.
So in our case today, we would have only 3 kinds of configuration available:
* IvyDE 2.0 with Ivy 2.0 : it was the case on the release of IvyDE 2.0
* IvyDE 2.0 with Ivy 2.1 : it was the case on the release of Ivy 2.1
* IvyDE 2.1 with Ivy 2.1

So for today I think this is fine.

Nicolas

> 
> Jon
> 
> 2010/1/29 Nicolas Lalevée <nicolas.lalevee@hibnet.org>
> 
>> I think this would be a good time to release IvyDE as the last release was
>> about 6 months ago. The last time we discussed it we wanted to have it out
>> so it would be the last release of IvyDE that will support Eclipse 3.2 and
>> Eclipse 3.3 [1]. My blocker was about the doc. I did take time to update it.
>> I even took time to fix some bugs. Now there is no major bugs opened [2] and
>> a good amount of bug fixes and features have been implemented [3].
>> 
>> I also would like to have both IVYDE-185 [4] and IVYDE-171 [5] fixed in our
>> Eclipse update site during this next release of IvyDE. Basically it would be
>> about repackaging some already approved jars for release of both Ivy and
>> IvyDE. The repackaged jars would have new signatures, checksum, etc... so
>> some new votes. The vote of the IvyDE release would include those.
>> 
>> WDYT ?
>> 
>> And Jon, you was volunteering to do the release. Is this still the case or
>> should I proceed ?
>> 
>> Nicolas
>> 
>> [1]
>> http://old.nabble.com/IVYDE---Proposal-to-increase-minimum-supported-Eclipse-version-to-3.4-td26729738.html
>> [2]
>> https://issues.apache.org/jira/secure/IssueNavigator.jspa?reset=true&&pid=12310640&resolution=-1&sorter/field=updated&sorter/order=DESC
>> [3]
>> https://issues.apache.org/jira/secure/IssueNavigator.jspa?reset=true&&pid=12310640&fixfor=12314066&sorter/field=issuekey&sorter/order=DESC
>> [4] https://issues.apache.org/jira/browse/IVYDE-185
>> [5] https://issues.apache.org/jira/browse/IVYDE-171
>> 
>> 
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
>> For additional commands, e-mail: dev-help@ant.apache.org
>> 
>> 


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message